﻿using UnityEngine;
using System.Collections;
public class disparoController : MonoBehaviour {
	//Varaiable para controlar la velocidad de la bala
	public float velocidadBala;
	//Variable para controlar la desaparición de las balas
	private playerController Player;
	//Variable para sumar puntos al eliminar enemigos
	public int puntosEliminarEnemigos;
	// Use this for initialization
	void Start () {
		//Buscamos el script de playerController
		Player = FindObjectOfType<playerController> ();
	//Hacemos que nuestro player pueda disparar hacia los 2 lados
		if (Player.transform.localScale.x > 0)
			velocidadBala = -velocidadBala;
	}
	// Update is called once per frame
	void Update () {
		//Hacemos desplazar la bala
		GetComponent<Rigidbody2D>().velocity = new Vector2(-velocidadBala,GetComponent<Rigidbody2D>().velocity.y);
		//Hacemos que las balas desaparencan cuando estén 25 posiciones por delante del player
		if (transform.position.x > Player.transform.position.x+25){
			Destroy (gameObject);
		}
	}
	//Hacemos eliminar el enemigo
	void OnTriggerEnter2D(Collider2D col){
		//Con el tag de enemigo en el enemigo conseguimos que cuando la bala choque desaparezca
		if (col.tag == "enemigo") {
			//Indicamos eliminar el enemigo
			Destroy (col.gameObject);
			//Indicamos destruir la bala
			Destroy (gameObject);
			//sumar puntos al eliminar enemigos
			puntosController.AgregarPuntos(puntosEliminarEnemigos);
		//Hacemos que las balas desaparezcan cuando choquen con elementos del escenario
		} else if (col.tag == "escenario") {
			Destroy (gameObject);
		}
	}
}